#ifndef __SCREENLAYER_H__
#define __SCREENLAYER_H__

// XN[C[

#include "oxfloat.h"

class ScreenLayer {
	Float4x4 view, proj;

public:
	ScreenLayer() : view(Float4x4::getIdentity()), proj(Float4x4::getIdentity()) {}

	// r[sݒ
	void setView(const Float4x4 &view) {
		this->view = view;
	}

	// r[s擾
	const Float4x4 &getView() const {
		return view;
	}

	// ˉeϊsݒ
	void setProj(const Float4x4 &proj) {
		this->proj = proj;
	}

	// ˉeϊs擾
	const Float4x4 &getProj() const {
		return proj;
	}
};

#endif
